Name: playmp3list
Version: 0.95
Release: alt3

Group: Sound
Summary: Console mp3 player, frontend for mpg123
Summary(ru_RU.KOI8-R):  mp3 ,   mpg123.
License: GPL
Url: http://rucus.ru.ac.za/~urban/projects/playmp3list
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %url/download/%name-%version.tar.gz
Patch: %name-0.95-2.patch
Patch1: %name-0.95-3.patch

Requires: mpg123 >= 0.59s

# Automatically added by buildreq on Sun Oct 13 2002
BuildRequires: gcc-c++ libncurses-devel libstdc++-devel libtinfo-devel

%description
%name is an ncurses-based MP3 player for Linux.
Main features:

o Displays a large scrollable playlist
o Browse playlists, directories and 'virtual playlists', even while playing
o Fully configurable key mappings and color schemes in a playmp3listrc file
o Real-time toggling of shuffle / repeat modes
o Instant jumps to one of 10 configurable directories/playlists
o Standard player controls
o PCM Volume changing
o Time elapsed and song format displays
o Optional ID3v1 tag extraction in the playlist
o Full / short (beautified) filename display in playlist
o Command-line options to quickly override rc file settings
o Uses mpg123 for decoding

%description -l ru_RU.KOI8-R
%name -      mp3  
   ,   
     .  ID3 , 
,  ,   . 
,        
    .

%prep
%setup
%patch -p1
%patch1 -p0

%build
%configure
%make_build

%install
%makeinstall

# install config
%__install -pD -m644 playmp3listrc %buildroot%_sysconfdir/playmp3listrc 

%files
%_bindir/%name
%_man1dir/*
%config %_sysconfdir/playmp3listrc
%doc AUTHORS ChangeLog TODO README

%changelog
* Sun Oct 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.95-alt3
- rebuild with gcc-3.2
- updated buildreqs.

* Sun Jan 27 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.95-alt2
- official patches applied

* Tue Jan 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.95-alt1
- First build for Sisyphus
